Added scripts for installation, build and publishing

This commit is contained in:
Samer Afach 2016-11-13 12:25:30 +01:00
parent 39813cb355
commit d0d234a807
5 changed files with 48 additions and 9 deletions

View File

@ -1,12 +1,12 @@
ListDownloader
====================
==============
About
--------------------
-----
This program simply takes a list of files as argument and a directory to download the files, and it downloads them sequentially, or in parallel. The program gives the option to load the whole list, or do parts of the list at a time. An option also is provided for how many threads/processes to be used.
Installation
--------------------
------------
(Installation was prepared for and tested with Debian Jessie.)
@ -14,7 +14,9 @@ You can install the package with pip using
# pip install listdownloader
Or you can create the installation package yourself from the source using
OR you can use the scripts that are provided to do that (`run_build`, and `run_install`), which are available in the repository.
OR you can create the source installation package yourself using
python3 setup.py sdist
@ -22,7 +24,7 @@ and then use pip to install the package that will be built in the directory `dis
# pip3 install listdownloader-x.y.z.tar.gz
where x.y.z is the current version of the program.
where x.y.z is the current version of the program.
The program installs the package listdownloader and a script file for usage.

View File

@ -1,12 +1,12 @@
ListDownloader
====================
==============
About
--------------------
-----
This program simply takes a list of files as argument and a directory to download the files, and it downloads them sequentially, or in parallel. The program gives the option to load the whole list, or do parts of the list at a time. An option also is provided for how many threads/processes to be used.
Installation
--------------------
------------
(Installation was prepared for and tested with Debian Jessie.)
@ -14,7 +14,9 @@ You can install the package with pip using
# pip install listdownloader
Or you can create the installation package yourself from the source using
OR you can use the scripts that are provided to do that (`run_build`, and `run_install`), which are available in the repository.
OR you can create the source installation package yourself using
python3 setup.py sdist

14
run_build Normal file
View File

@ -0,0 +1,14 @@
#!/bin/bash
#go to the directory of the script
reldir=`dirname $0`
cd $reldir
directory=`pwd`
rm -rf dist
python3 setup.py sdist
if [ $? -ne 0 ]; then
echo 'Python packager source distribution tool failed.'
exit
fi

18
run_install Normal file
View File

@ -0,0 +1,18 @@
#!/bin/bash
#go to the directory of the script
reldir=`dirname $0`
cd $reldir
directory=`pwd`
if [ "$(id -u)" != "0" ]; then
echo "This script must be run as root" 1>&2
exit 1
fi
pip3 install listdownloader*
if [ $? -ne 0 ]; then
echo 'Package installation failed. Did you build the package? Do you have pip3 installed?'
exit
fi

3
run_publish Normal file
View File

@ -0,0 +1,3 @@
#!/bin/bash
python3 setup.py register sdist upload